# Matériel pour "Science virale: comment la COVID-19 a changé la représentation médiatique de la science"

Les fichiers et figures dans ce dépôt forment le matériel supplémentaire pour l'article "Science virale: comment la COVID-19 a changé la représentation médiatique de la science" (Revue canadienne de communication), écrit par François Claveau, Jean-Hugues Roy et Olivier Santerre.

À noter que nous ne pouvons pas fournir les textes de nos corpus médiatiques et Facebook complets pour des raisons de propriété intellectuelle. Nous ne fournissons que les méta-données. Si vous avez besoin de données pour reproduire certains résultats, merci de contacter [François Claveau](mailto:francois.claveau@usherbrooke.ca).

## Description des dossiers et fichiers
* `Annexe_technique.html`: l'annexe technique de l'article dans le format le plus facile et agréable à consulter. Elle inclut:
    * L'information sur nos sources de données
    * De multiple figures et tableaux. Certaines font partie de l'article, d'autres sont exclusives à l'annexe.
    * Notre code pour produire toutes nos figures, tableauxe et tests statistiques. 
    * Des explications plus détaillées de nos méthodes.
* `Annexe_technique.pdf`: le même document, mais en PDF. Les pages sont particulièrement nombreuses comparativement au fichier HTML puisque, pour ce dernier format, nous utilisons des fonctionnalités HTML pour replier le code et pour encapsuler dans des boîtes les gros tableaux. 
* `data/` 
    * `dt_full_text_for_count_sci.csv`: méta-données pour notre corpus médiatiques (environ 1 million d'entrées) 
    * `FB_data.csv`: méta-données pour notre corpus Facebook (environ 160 000 entrées)
    * `liste_finale_medias.csv`: les informations sur nos médias (environ 150)
    * `mots_[champ].csv` (3 fichiers): les termes associés à chacun des trois champs sémantiques qui nous intéressent. 
    * `mots_[champ]_edited.csv`` (3 fichiers): les termes des trois champs sémantiques après révision manuelle.  
    *  `nb_cas_COVID_qc.csv`: nombre de cas de COVID-19 selon la santé publique de la fin février 2020 à la fin novembre 2020.
* `figs/`
    * `figure1.jpg` à `figure6.jpg`: les figures qui font partie de l'article.
    * `figure_A1.jpg` à `figure_A6.jpg`: les figures spécifiques à l'annexe technique.
* `scripts/`
    * `FCT_util.R`: un fichier avec des fonctions utilisées par différents scripts.
    * `01-...` à `05-...`: scripts de prétraitement roulés en ordre. La fonction de chaque script est décrite au début du fichier.
* `LICENSE.md`: Creative Commons Attribution 4.0 International
* `LISEZ-MOI.md`: Le document que vous lisez en ce moment.

