# Premier script dans le pipeline pour produire l'analyse morphosyntaxique sur les données de mars à juin chaque année.


package_list <- c("mongolite","data.table","tidyr")
for(p in package_list){
  if (p %in% installed.packages()==FALSE){install.packages(p,dependencies = TRUE)}
  library(p,character.only=TRUE)
}

data_folder <- "/data/covid/"

#Connections
DB_connection_2020 <- mongolite::mongo(db = "projetThinkTank", collection = "all_articles_01122019_30062020")
DB_connection_2019 <- mongolite::mongo(db = "projetThinkTank", collection = "all_articles_01122018_30062019")
DB_connection_2018 <- mongolite::mongo(db = "projetThinkTank", collection = "all_articles_01012018_30062018")
DB_connection_2017 <- mongolite::mongo(db = "projetThinkTank", collection = "all_articles_01012017_30062017")


fields = '{"scraped_on" : true, "media_url" : true, "full_article_text" : true,
           "scraped_on" : true, "original_article_url" : true, "title" : true}'

dt_articles_2020 <- DB_connection_2020$find(query = "{}", fields = fields) %>% data.table()
dt_articles_2020[, date := as.Date(as.POSIXct(scraped_on, origin="1970-01-01"))]
dt_articles_2020 <- dt_articles_2020[date >= as.Date("2020-03-01")]

dt_articles_2019 <- DB_connection_2019$find(query = "{}", fields = fields) %>% data.table()
dt_articles_2019[, date := as.Date(as.POSIXct(scraped_on, origin="1970-01-01"))]
dt_articles_2019 <- dt_articles_2019[date >= as.Date("2019-03-01")]

dt_articles_2018 <- DB_connection_2018$find(query = "{}", fields = fields) %>% data.table()
dt_articles_2018[, date := as.Date(as.POSIXct(scraped_on, origin="1970-01-01"))]
dt_articles_2018 <- dt_articles_2018[date >= as.Date("2018-03-01")]

dt_articles_2017 <- DB_connection_2017$find(query = "{}", fields = fields) %>% data.table()
dt_articles_2017[, date := as.Date(as.POSIXct(scraped_on, origin="1970-01-01"))]
dt_articles_2017 <- dt_articles_2017[date >= as.Date("2017-03-01")]

dt_articles_2017_2019 <- rbind(dt_articles_2017, dt_articles_2018, dt_articles_2019)
rm(dt_articles_2017); rm(dt_articles_2018); rm(dt_articles_2019)

save(dt_articles_2020, file = paste0(data_folder, "dt_articles_2020.RData"))
save(dt_articles_2017_2019, file = paste0(data_folder, "dt_articles_2017_2019.RData"))
